/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.asset.util.comparator;

import com.liferay.asset.model.AssetEntryUsage;
import com.liferay.portal.kernel.util.DateUtil;
import com.liferay.portal.kernel.util.OrderByComparator;

/**
 * @author     Pavel Savinov
 * @deprecated As of Athanasius (7.3.x), replaced by {@link
 *             com.liferay.layout.util.comparator.LayoutClassedModelUsageModifiedDateComparator}
 */
@Deprecated
public class AssetEntryUsageModifiedDateComparator
	extends OrderByComparator<AssetEntryUsage> {

	public static final String ORDER_BY_ASC =
		"AssetEntryUsage.modifiedDate ASC";

	public static final String ORDER_BY_DESC =
		"AssetEntryUsage.modifiedDate DESC";

	public static final String[] ORDER_BY_FIELDS = {"modifiedDate"};

	public AssetEntryUsageModifiedDateComparator() {
		this(true);
	}

	public AssetEntryUsageModifiedDateComparator(boolean ascending) {
		_ascending = ascending;
	}

	@Override
	public int compare(
		AssetEntryUsage assetEntryUsage1, AssetEntryUsage assetEntryUsage2) {

		int value = DateUtil.compareTo(
			assetEntryUsage1.getModifiedDate(),
			assetEntryUsage2.getModifiedDate());

		if (_ascending) {
			return value;
		}

		return -value;
	}

	@Override
	public String getOrderBy() {
		if (_ascending) {
			return ORDER_BY_ASC;
		}

		return ORDER_BY_DESC;
	}

	@Override
	public String[] getOrderByFields() {
		return ORDER_BY_FIELDS;
	}

	@Override
	public boolean isAscending() {
		return _ascending;
	}

	private final boolean _ascending;

}